# sitelib for noarch packages
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-soaplib
Version:        0.8.1
Release:        19%{?dist}
Summary:        A python library for writing and calling soap web services

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/soaplib/0.8.1 
Source0:        http://github.com/downloads/arskom/soaplib/soaplib-0.8.1.tar 

BuildArch:      noarch
BuildRequires:  python2-devel, python2-setuptools, python2-lxml, python2-pytz


%global _description\
Soaplib is an easy to use python library for writing and calling soap web\
services. Webservices written with soaplib are simple, lightweight, work\
well with other SOAP implementations, and can be deployed as WSGI\
applications.\


%description %_description

%package -n python2-soaplib
Summary: %summary
Requires:       python2-pytz, python2-lxml
%{?python_provide:%python_provide python2-soaplib}

%description -n python2-soaplib %_description

%prep
%setup -q -c soaplib


%build
%py2_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install

%check
%{__python2} setup.py test
 

%files -n python2-soaplib
%doc LICENSE soaplib_docs.markdown
# For noarch packages: sitelib
%{python2_sitelib}/*
%exclude %{python_sitelib}/tests

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.1-18
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.1-16
- Python 2 binary package renamed to python2-soaplib
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Jordan O'Mara <jomara@redhat.com> - 0.8.1-4
- Reverting the last change; use 'rpmbuild-md5' from commandline instead

* Wed Jun 02 2010 Chris Alfonso <calfonso@redhat.com> - 0.8.1-3
- Specifying hash algorithm

* Tue Jun 01 2010 Jordan O'Mara <jsomara@gmail.com> - 0.8.1-2
- Using the upstream src package; using -c with prep 

* Wed May 12 2010 Jordan O'Mara <jsomara@gmail.com> - 0.8.1-1
- Replacing 0.7.2 with 0.8.1, which no longer needs patching

* Tue May 11 2010 Jordan O'Mara <jsomara@gmail.com> - 0.7.2-3.20080816svn39
- Updating package based on fedora project comments

* Wed Feb  4 2009 Jordan O'Mara <jsomara@gmail.com> - 0.7.2-2.20080816svn39
- Added patch for manually setting wsdl url

* Tue Sep 16 2008 Jordan O'Mara <jsomara@gmail.com> - 0.7.2-1.20080816svn39
- Initial packaging for Fedora.
